cURL
curl -X POST https://api.aiql.io/requests/req_7f3a/reviews/rev_4c5d/comments \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"content": "LGTM"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
comment = client.requests.reviews.comments.create(
"req_7f3a",
"rev_4c5d",
content="LGTM",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const comment = await client.requests.reviews.comments.create("req_7f3a", "rev_4c5d", {
content: "LGTM",
});{
"id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Request Comments
Add Review Comment
POST
/
requests
/
{id}
/
reviews
/
{review_id}
/
comments
cURL
curl -X POST https://api.aiql.io/requests/req_7f3a/reviews/rev_4c5d/comments \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"content": "LGTM"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
comment = client.requests.reviews.comments.create(
"req_7f3a",
"rev_4c5d",
content="LGTM",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const comment = await client.requests.reviews.comments.create("req_7f3a", "rev_4c5d", {
content: "LGTM",
});{
"id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Body
application/json
Text content of the comment.
Response
Successful Response
Unique identifier of the comment.
Text content of the comment.
Timestamp when the comment was created.
Timestamp when the comment was last updated.
Author of the comment.
Show child attributes
Show child attributes